Bug 106234 - LTC4707-Need changes to pstack - bug fixes and Linux on s/390 support
LTC4707-Need changes to pstack - bug fixes and Linux on s/390 support
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pstack (Show other bugs)
3.0
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Roland McGrath
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 16:43 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 10:29:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
pstack patch (40.00 KB, text/plain)
2003-10-03 16:46 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2003-10-03 16:43:11 EDT
The following has be reported by IBM LTC:  
Need changes to  pstack -  bug fixes and Linux on s/390 support
Hardware Environment:

Software Environment:


Steps to Reproduce:
1.
2.
3.

Actual Results:

Expected Results:

Additional Information:

We have some bug fixes for pstack and feature changes to allow pstack to run 
on Linux on s/390.  We need these changes incorporated into RHAS 3.x and we 
would like to get United Linux to ship pstack as well.   

I downloaded the source RPM for pstack for RHAS 3.0 (pstack-1.1.7) and merged 
our changes to this version.  I'm including a tar file which contains pstack.c 
with our changes based on this as well as a diff file created for patching the 
redhat version.

Thanks!

kenboCreated an attachment (id=1774)
Source code and diff file for patching
Hi Sachin,
This is high priority item.  Please ask someone on your team to 
(1) review patch
(2) test patch on IA32 and S390
We need to submit this patch to distros ASAP.  Thanks a lot.I have reviewed
Ken's patch.  It looks good.
Glen/Greg - please submit this to Red Hat for inclusion in RHEL3.
Comment 1 IBM Bug Proxy 2003-10-03 16:46:06 EDT
Created attachment 94928 [details]
pstack patch
Comment 2 IBM Bug Proxy 2003-10-03 16:47:05 EDT
ignore line to attach 1774
Comment 3 IBM Bug Proxy 2003-10-16 00:29:12 EDT
------ Additional Comments From khoa@us.ibm.com  2003-15-10 23:33 -------
Glen/Greg - please submit this to SuSE as well.  Thanks. 
Comment 4 Roland McGrath 2003-11-11 17:23:34 EST
Bugs need to be reported with information.  Enhancement requests such
as porting need to be filed separately.  Please file bug reports for
any bugs you have seen on IA32.
Comment 5 mark wisner 2003-11-25 01:25:58 EST
------ Additional Comments From khoa@us.ibm.com  2003-25-11 01:25 -------
Greg - what are we going to do here ?  Did you file this "enhancement"
anywhere ? 
Comment 6 IBM Bug Proxy 2004-01-23 23:52:32 EST
----- Additional Comments From khoa@us.ibm.com  2004-01-23 10:23 -------
This was put on RHEL3 U2 list as a Sev2. 
Comment 17 IBM Bug Proxy 2004-08-13 08:05:22 EDT
----- Additional Comments From markwiz@us.ibm.com  2004-08-13 08:04 -------
There is not Red Hat version listed in the IBM bugzilla, but I have it on Gale
Taylor's RHEL4 list. If this is a RHEL4 issue, please correct the bug. If this
is a RHEL4 and RHEL3 issue, there must be a bug for each version 
Comment 18 IBM Bug Proxy 2004-08-13 08:40:15 EDT
----- Additional Comments From kenbo@us.ibm.com  2004-08-13 08:38 -------
I created a bugzilla for rhel 4 on this topic - can close this out if want to, 
but it does contain the "patch" for s/390 port of original pstack.  We were 
using this to track pstack even though it was not a rhel 4 codestream. 
Comment 19 Elena Zannoni 2005-01-27 10:29:55 EST
OK, pstack is not a wrapper around gdb.
It ships in RHEL4 and will be included in RHEL3-U5.
Closing this out.
See also fz: 180331, and 105020

Note You need to log in before you can comment on or make changes to this bug.